/ api / name / gb_property_self
GB_PROPERTY_SELF
Syntax

    #define GB_PROPERTY_SELF ( symbol , type ) ...

Declares a property symbol that returns the object it applies to.

- symbol is the name of the property.
- type is the string representation of the property type.

This macro is mainly used for declaring a property that returns a sub-object whose type is a virtual class.

### See also

Class Description Method & Property Signatures